Summary:       Core execution tool for unprivileged containers
Name:          bubblewrap
Version:       0.8.0
Release:       1%{?dist}
License:       LGPL-2.0-or-later
URL:           https://github.com/containers/bubblewrap/
Source0:       https://github.com/containers/bubblewrap/releases/download/v%{version}/bubblewrap-%{version}.tar.xz

BuildRequires: meson gcc
BuildRequires: /usr/bin/xsltproc docbook-style-xsl
BuildRequires: pkgconfig(libselinux) pkgconfig(libcap)

%description
This package provides a core execution engine for unprivileged containers that
works as a setuid binary on kernels without user namespaces.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dman=enabled
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/bwrap
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_bwrap
%{_bindir}/bwrap
%{_mandir}/man1/bwrap.1*

%changelog
* Fri Jan 05 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.8.0-1
- upgrade to upstream version 0.8.0
- adapt for building flatpak 1.15 or higher version

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 Wang Guodong <gordonwwang@tencent.com> - 0.7.0-1
- Upgrade to version 0.7.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Shuo Wang <abushwang@tencent.com> - 0.5.0-1
- initial build

